/* ---------------------------------------------------------------- 
 * timex.c, extracts from 
 * manager.c, begun 88/01/01, to parse input line, note options,
 *
 *	manager calls setOptions for each command line argument that begins with '-',
 *		setOptions sets the options in structure Option 'options'
 *	client .c file MUST provide structure Option 'options'
 *		and must initialize at least its tags
 * inputs
 *	argc, argv, from main(); structure options in which to put options
 * outputs
 *	none
 * side effects
 *	alters options 
 * ----------------------------------------------------------------
 */


#define DUMMY 129 
                        

/* ----------------------------------------------------------------
 * unused uses an otherwise unused variable
 * this way, lint will complain when you left it unused by accident,
 * and not when you did it on purpose
 * ----------------------------------------------------------------
 */

void
unusedptr(x)
	void *x;
{
	if (x) return;
}

void
unusedint(i)
	int i;
{
 	if (i) return;
}


/* ----------------------------------------------------------------
 * timeLabel() gets a time-string for purposes of interest to calling sequence
 * 	the time is the current time 
 * input
 *	none
 * outputs
 *	pointer to string
 * side effects
 *	sets string
 * requirements
 *	time.h
 * ----------------------------------------------------------------
 */

char *timeLabel()
{
	char *s;
	long utime;	/* seconds since 1970.0 GMT, corrected to PST */
	char *now; 	/* time now, in unix format */

	time( &utime );
	now = ctime( &utime );
	s = now;
	while (*s) 
		{
		if (*s == '\n') *s = '\0';
		if (*s == '\r') *s = '\0';
		++s;
		}

	return now;

}



/* this is the last line */
